<template>
  <div>
    <div class="leakage-top">
      <div style="color: #666666"></div>

      <div class="operate-btn">
      <delids :multipleSelection2="multipleSelection"  @del="del()"
          >删除</delids> 
        <el-button type="primary" @click="refresh">刷新</el-button>
        <el-button type="primary" @click="block = !block">查询</el-button>
        <el-button type="primary" @click="exportData">导出</el-button>
      </div>
    </div>
    <el-form
      class="search-div"
      v-if="block"
      :model="monitorForm"
      :inline="true"
      size="mini"
    >
      <el-form-item label="设备名称：">
        <el-input
          placeholder="请输入设备名称"
          v-model="monitorForm.equipName"
          clearable
        >
        </el-input>
      </el-form-item>
      <el-form-item label="设备身份编号：">
        <el-input
          placeholder="请输入设备身份编号"
          v-model="monitorForm.equipCode"
          clearable
        >
        </el-input>
      </el-form-item>
      <el-form-item label="IP地址：">
        <el-input placeholder="请输入IP地址" v-model="monitorForm.ip" clearable>
        </el-input>
      </el-form-item>
      <el-form-item label="所在铁路线：">
        <el-select
          placeholder="请选择所在铁路线"
          v-model="monitorForm.wayId"
          clearable
          @change="changerailWay()"
        >
          <el-option
            v-for="item in railWaySelect"
            :key="item.id"
            :label="item.name"
            :value="item.id"
          ></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="所在站点：">
        <el-select
          placeholder="请选择所在站点"
          v-model="monitorForm.siteId"
          @change="changesite()"
          clearable
        >
          <el-option
            v-for="item in stationSelect2"
            :key="item.id"
            :label="item.siteName"
            :value="item.id"
          ></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="所在FSU：">
        
        <el-select
          placeholder="请选择所在FSU"
          v-model="monitorForm.fsuId"
          clearable
        >
          <el-option
            v-for="item in fsuSelect2"
            :key="item.id"
            :label="item.equipName"
            :value="item.id"
          ></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="铁路名称：">
        <el-button class="seabtn" @click="searchQuery()">查询</el-button>
        <el-button class="seabtn" @click="reset()">重置</el-button>
      </el-form-item>
    </el-form>
    <el-table
      ref="multipleTable"
      class="statistics-table"
      :data="tableData"
      tooltip-effect="dark"
      style="width: 100%"
      :row-class-name="tableRowClassName"
      :row-style="{ height: '50px' }"
      :header-cell-style="{
        background: '#eaf1fe',
        color: '#000',
        fontWeight: 700,
        height: '50px',
      }"
      @selection-change="handleSelectionChange"
    >
      <el-table-column type="selection" width="55" align="center" />

      <el-table-column prop="railWayName" label="站点所属铁路线" align="center" />
      <el-table-column prop="equipCode" label="设备身份编号" align="center" />
       <el-table-column prop="ip" label="IP" align="center" />
      <el-table-column
        prop="equipFactory"
        label="设备厂商"
        show-overflow-tooltip
        align="center"
      />
      <el-table-column
        prop="equipMode"
        label="设备型号"
        show-overflow-tooltip
        align="center"
      />
      <el-table-column
        prop="equipName"
        label="设备名"
        show-overflow-tooltip
        align="center"
      />
      <el-table-column
        prop="equipSerialNumber"
        label="设备生产序列号"
        show-overflow-tooltip
        align="center"
      />
      <el-table-column
        prop="equipType"
        label="设备类别"
        show-overflow-tooltip
        align="center"
      />
      <el-table-column
        prop="installDate"
        label="安装日期"
        show-overflow-tooltip
        align="center"
      />
      <el-table-column
        prop="kmSign"
        label="设备所在铁路公里标"
        show-overflow-tooltip
        align="center"
      />
      <el-table-column
        prop="repairDate"
        label="维护日期"
        show-overflow-tooltip
        align="center"
      />
      <el-table-column
        prop="action"
        label="详细信息"
        show-overflow-tooltip
        align="center"
      >
        <template slot-scope="{ row }">
          <el-link type="primary" :underline="false" @click="handleView(row)"
            >查看</el-link
          >
        </template>
      </el-table-column>
    </el-table>
    <pagination
      :limit="monitorForm.size"
      :page="monitorForm.current"
      :total="total"
      class="pagination"
      @pagination="handlePageChange"
    />
  </div>
</template>
<script>

import {
  monitorEquiplist,
  monitorEquipbatchDelete,
  monitorEquipdetail,
} from "../../api";
import { successAlert, warningAlert } from "@/utils/alert";
import { mapGetters, mapActions } from "vuex";
export default {
  props: [],
  components: {  },
  data() {
    return {
      railWaySelect: [],

      stationSelect2: [],

      fsuSelect2: [],
      monitorForm: {
        wayId: "",
        parentId: "",
        ip: "",
        siteId: "",
        fsuId: "",
        equipCode: "",
        equipName: "",
         current: 1,
        size: 10,
      },
      tableData: [],
      params: {
        pageNum: 1,
        pageSize: 10,
      },
      total: 10,
      multipleSelection: [],
      ids: [],
      block: 0,
      istrue:0
    };
  },
  computed: {
    ...mapGetters({
      railWaylist: "railWay/list",
      stationlist: "station/list",
      fsulist: "FSU/list",
    }),
  },
  methods: {
    ...mapActions({
      asyncrailWayList: "railWay/asyncList",
      asyncstationList: "station/asyncList",
      asyncfsuList: "FSU/asyncList",
      asyncmonitorList: "monitor/asyncList",
    }),
    changerailWay() {
      this.stationSelect2 = this.stationlist.filter(
        (item) => item.parentId === this.monitorForm.wayId
      );
    },
    changesite() {
      this.fsuSelect2 = this.fsuSelect.filter(
        (item) => item.parentId === this.monitorForm.siteId
      );
    },
    tableRowClassName({ row, rowIndex }) {
      return rowIndex % 2 === 0 ? "" : "single-row";
    },
    changeType(item) {
      this.activeName = item.key;
    },
    del() {
      let ids = this.ids;
      monitorEquipbatchDelete({ ids }).then((res) => {
        if (res.code == 200) {
          successAlert("删除成功");
          this.asyncmonitorList();
          this.getTableData();
        } else {
          warningAlert("删除失败");
        }
      });
    },
    refresh() {
      this.reset()
      this.getTableData();
    },
    searchQuery() {
      this.istrue=1
      this.getTableData();
    },
    reset() {
       this.monitorForm= {
        wayId: "",
        parentId: "",
        ip: "",
        siteId: "",
        fsuId: "",
        equipCode: "",
        equipName: "",
         current: 1,
        size: 10,
      }
    },

    exportData() {},
    handleSelectionChange(val) {
      this.multipleSelection = val;

      this.ids = this.multipleSelection.map((i) => i.id);
    },

    handleView(row) {
      this.$router.push({
        path: "/detail",
        query: {
          id: row.id,
          type: 4,
        },
      });
      let id = row.id;
      monitorEquipdetail({ id }).then((res) => {});
    },
    handlePageChange(pageData) {
      this.monitorForm.size = pageData.size;
      this.monitorForm.current = pageData.page;
      this.getTableData();
    },
    getTableData() {
      let params = {
        current: this.params.pageNum,
        size: this.params.pageSize,
      };
      monitorEquiplist(this.monitorForm).then((res) => {
        let list = res.records || [];
        this.tableData = list;
        this.total = res.total;
          if (this.istrue == 1) {
          if (this.tableData.length) {
            successAlert("查询成功");
          } else {
            warningAlert("查询结果为空");
          }
          this.istrue = 0;
        }
      });
    },
  },
   created() {
    var that = this;
    document.onkeydown = function (e) {
      var key = window.event.keyCode;
      if (key == 13) {
        that.searchQuery();
      }
    };
  },
  mounted() {
    this.getTableData();
    this.asyncrailWayList();
    this.asyncstationList();
    this.asyncfsuList();
    this.railWaySelect = this.railWaylist;
    this.fsuSelect = this.fsulist;
  },
};
</script>
<style lang="scss" scoped>
.leakage-cable {
  .leakage-top {
    margin-bottom: 20px;
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
  }
  & ::v-deep .cell {
    color: #333333;
  }
  & ::v-deep .stripe {
    background-color: #eaf1fe;
  }
  & ::v-deep .red {
    background-color: #f00;
  }
  & ::v-deep .green {
    background-color: green;
  }
  .page {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0;
    .pageNum {
      margin: 0 20px;
    }
  }
}
</style>
<style lang="scss">
.statistics-table {
  .single-row {
    background: #f1f6ff;
  }
  td {
    padding: 5px !important;
  }
}
</style>